Bug 459336 - Alliance incorrectly mungs your path and adds the cwd to the path
Alliance incorrectly mungs your path and adds the cwd to the path
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: alliance (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-16 15:48 EDT by Bruno Wolff III
Modified: 2008-09-16 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified alc_env.csh (3.06 KB, application/octet-stream)
2008-09-11 09:08 EDT, Bruno Wolff III
no flags Details
Modified alc_env.sh (3.70 KB, text/plain)
2008-09-11 09:12 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2008-08-16 15:48:16 EDT
Description of problem:
If you install alliance, profile.d/alc_env.csh gets created and in it it modifies your path using:
setenv PATH "${PATH}:${ALLIANCE_TOP}/bin:"
This ends up putting in a :: into your path.
This is a minor security issue as it is easy to run a program unexpectedly when the current working directory is being searched.
profile.d/alc_env.sh also has a similar problem.

Version-Release number of selected component (if applicable):
alliance-5.0-16.20070718snap.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install alliance
2. login again
3. echo $PATH
  
Actual results:
Path with :: in it

Expected results:
Path without :: in it

Additional info:
Comment 1 Bruno Wolff III 2008-09-11 09:08:53 EDT
Created attachment 316432 [details]
Modified alc_env.csh

This is a modified rawhide version of alc_env.csh that doesn't add the current working directory to the path. I also tweaked the manpath to include the defaults in the case that manpath wasn't already set.
Comment 2 Bruno Wolff III 2008-09-11 09:12:25 EDT
Created attachment 316433 [details]
Modified alc_env.sh

This is a similarly changed alc_env.sh.
Comment 3 Fedora Update System 2008-09-15 17:11:43 EDT
alliance-5.0-21.20070718snap.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/alliance-5.0-21.20070718snap.fc9
Comment 4 Fedora Update System 2008-09-15 17:11:48 EDT
alliance-5.0-21.20070718snap.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/alliance-5.0-21.20070718snap.fc8
Comment 5 Fedora Update System 2008-09-16 19:22:31 EDT
alliance-5.0-21.20070718snap.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-09-16 19:23:56 EDT
alliance-5.0-21.20070718snap.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.